#
# spec file for package gnome-panel
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-panel
Version:        2.32.1
Release:        7.12.1
License:        GPLv2+
Summary:        The GNOME Desktop Panel
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         ftp://ftp.gnome.org/pub/gnome/sources/gnome-panel/2.24/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM gnome-panel-fix-applet-xinerama.patch vuntz@opensuse.org -- Fix applets on xinerama setup
Patch0:         gnome-panel-fix-applet-xinerama.patch
# PATCH-FIX-UPSTREAM gnome-panel-no-bonobo-in-process.patch vuntz@opensuse.org -- Remove possibility to have in-process bonobo applets. That would just break the gnome-panel process because of a conflict between dbus and bonobo applets in the same process
Patch1:         gnome-panel-no-bonobo-in-process.patch
# PATCH-FIX-UPSTREAM gnome-panel-recent-check-exists.patch -- Show an error when clicking on a recent item that doesn't exist anymore
Patch25:        gnome-panel-recent-check-exists.patch
# PATCH-FIX-UPSTREAM gnome-panel-beagle-search.patch bgo336726 -- Use nautilus search instead of gnome-search-tool
Patch34:        gnome-panel-beagle-search.patch
# PATCH-FIX-OPENSUSE gnome-panel-2-11-bring-back-my-run-item.patch -- Display the run dialog in the menu bar
Patch35:        gnome-panel-2-11-bring-back-my-run-item.patch
# PATCH-FIX-OPENSUSE gnome-panel-main-menu-name.patch -- Rename the upstream main menu to traditional main menu
Patch40:        gnome-panel-main-menu-name.patch
# PATCH-NEEDS-REBASE gnome-panel-run-fixes.patch bnc115576 bgo543604 -- Fix running a command like yast2 when we find the desktop file but the binary is not in $PATH (was PATCH-FIX-UPSTREAM)
Patch50:        gnome-panel-run-fixes.patch
# PATCH-FEATURE-OPENSUSE gnome-panel-alt-f1-slab.patch -- Open the gnome-main-menu on Alt-F1.
Patch51:        gnome-panel-alt-f1-slab.patch
# PATCH-FEATURE-UPSTREAM gnome-panel-recently-used-apps.patch bgo464751 -- Add apps run from the run dialog to the recently used applications. vuntz: I didn't put the patch upstream because I know I won't implement the feature like this upstream.
Patch56:        gnome-panel-recently-used-apps.patch
# PATCH-FIX-OPENSUSE gnome-panel-bnc363981-intlclock-compatibility.patch bnc363981 vuntz@novell.com -- Keep compatilibity with setups using intlclock. Also fixes bnc376319
Patch58:        gnome-panel-bnc363981-intlclock-compatibility.patch
# PATCH-FEATURE-OPENSUSE gnome-panel-bnc356242-recently-used-apps-hidden.patch bnc356242 vuntz@novell.com -- Hide recently used apps from the recent documents menu
Patch61:        gnome-panel-bnc356242-recently-used-apps-hidden.patch
# PATCH-FIX-UPSTREAM gnome-panel-bgo633566-clock-app-show-ews.patch bgo633566 riggwelter@opensuse.org -- EWS Evolution appointments not shown in clock applet
Patch62:        gnome-panel-bgo633566-clock-app-show-ews.patch
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  licenses
BuildRequires:  pkg-config
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(NetworkManager)
BuildRequires:  pkgconfig(ORBit-2.0)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gweather)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libbonoboui-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libedataserver-1.2)
BuildRequires:  pkgconfig(libedataserverui-1.2)
BuildRequires:  pkgconfig(libgnome-menu)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
# Needed for the clock applet
Requires:       gnome-settings-daemon-polkit-datetime
Requires:       licenses
# Required by clock/tz.c:
Requires:       timezone
Recommends:     %{name}-lang
Recommends:     gnome-main-menu
Obsoletes:      gnome-core
# For upgrade from SLE 10
Provides:       gnome-panel-nld > 2.12.3
Obsoletes:      gnome-panel-nld <= 2.12.3
# As of Jan 2008, intlclock is part of gnome-panel.
Provides:       intlclock = 1.0
Obsoletes:      intlclock < 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

%package bonobo-support
License:        GPLv2+
Summary:        Bonobo Applets Support for GNOME Panel
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
# Automatically install the bonobo support if the bonobo-based library is
# installed
Supplements:    packageand(%{name}:libpanel-applet-2-0)
%glib2_gio_module_requires

%description bonobo-support
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains the support for bonobo-based applets in the
GNOME panel.

%package -n libpanel-applet-2-0
License:        LGPLv2.1+
Summary:        GNOME Panel Applet Library -- Bonobo-based library
Group:          System/GUI/GNOME

%description -n libpanel-applet-2-0
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains the library used by GNOME panel applets,
based on bonobo.

%package -n libpanel-applet-3-0
License:        LGPLv2.1+
Summary:        GNOME Panel Applet Library -- D-Bus-based library
Group:          System/GUI/GNOME

%description -n libpanel-applet-3-0
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains the library used by GNOME panel applets,
based on D-Bus.

%package extras
License:        GPLv2+
Summary:        Extra panel applets
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       fortune
# For upgrade from SLE 10
Provides:       gnome-panel-nld-extras > 2.12.3
Obsoletes:      gnome-panel-nld-extras <= 2.12.3
%gconf_schemas_prereq

%description extras
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains extra panel applets such as Wanda the fish.

%package devel
License:        LGPLv2.1+
Summary:        GNOME Panel Applet Library -- Development Files
Group:          Development/Libraries/GNOME
Requires:       libpanel-applet-2-0 = %{version}
Requires:       libpanel-applet-3-0 = %{version}
Requires:       gconf2-devel
Requires:       gtk2-devel
Requires:       libbonoboui-devel
Requires:       libgnomeui-devel
# For upgrade from SLE 10
Provides:       gnome-panel-nld-devel > 2.12.3
Obsoletes:      gnome-panel-nld-devel <= 2.12.3

%description devel
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
License:        LGPLv2.1+
Summary:        GNOME Panel Applet Library -- Developer Documentation
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
# For upgrade from SLE 10
Provides:       gnome-panel-nld-doc > 2.12.3
Obsoletes:      gnome-panel-nld-doc <= 2.12.3

%description doc
This package contains the GNOME Desktop Panel. The panel is an
easy-to-use and functional interface to manage your desktop, start
programs, and organize access to your data.

This package contains optional documentation provided in addition to
this package's base documentation.

%lang_package
%prep
%setup -q
translation-update-upstream
gnome-patch-translation-prepare
%patch0 -p1
%patch1 -p1
%patch25 -p0
%patch34
%patch35 -p0
%patch40
# %patch50
%patch51 -p0
%patch56 -p0
%patch58 -p1
%patch61 -p0
%patch62 -p1
gnome-patch-translation-update

%build
%configure --with-pic \
    --libexecdir=%{_libexecdir}/gnome-panel \
    --disable-static \
    --with-in-process-applets=all \
    --disable-schemas-install \
    --disable-scrollkeeper
make %{?_smp_mflags}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/ha/LC_MESSAGES/*
%{__rm} %{buildroot}%{_datadir}/locale/la/LC_MESSAGES/*
%{__rm} %{buildroot}%{_datadir}/locale/ig/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
touch %{buildroot}%{_libdir}/gnome-panel/modules/giomodule.cache
%suse_update_desktop_file gnome-panel
%find_lang %{name}-2.0 %{?no_lang_C}
%find_lang clock %{?no_lang_C} %{name}-2.0.lang
%find_lang fish %{?no_lang_C}
%def_gconf_schemas %{name}
%add_gconf_schemas clock
%add_gconf_schemas panel-compatibility
%add_gconf_schemas panel-general
%add_gconf_schemas panel-global
%add_gconf_schemas panel-object
%add_gconf_schemas panel-toplevel
%add_gconf_schemas window-list
%add_gconf_schemas workspace-switcher
%def_gconf_schemas %{name}-extras
%add_gconf_schemas fish
%end_gconf_schemas
cat fish.lang %{name}-extras.schemas_list >%{name}-extras.lst
# NOTE: GCONF_CONFIG_SOURCE is already set by %%posttrans code.
sed -i /GCONF_CONFIG_SOURCE/d %{name}.schemas_posttrans
# Move .entries file to /usr/share/gconf/schemas, see fate#305318
mv %{buildroot}%{_sysconfdir}/gconf/schemas/panel-default-setup.entries %{buildroot}%{_datadir}/GConf/schemas/panel-default-setup.entries
for FILE in COPYING ; do
    MD5SUM=$(md5sum $FILE | sed 's/ .*//g')
    if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then
        ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE
    fi
done
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
%desktop_database_post
%icon_theme_cache_post

%posttrans -f %{name}.schemas_posttrans
export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
usr/bin/gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load usr/share/GConf/schemas/panel-default-setup.entries >/dev/null

%preun -f %{name}.schemas_preun
# Remove extra keys from panel-default-setup.entries.
# If it is an update, %%posttrans will install new schemas.
rm -rf etc/gconf/gconf.xml.schemas/apps/panel/default_setup

%postun
%desktop_database_postun
%icon_theme_cache_postun

%post bonobo-support
%glib2_gio_module_post %{_libdir}/gnome-panel/modules

%postun bonobo-support
%glib2_gio_module_postun %{_libdir}/gnome-panel/modules

%post -n libpanel-applet-2-0 -p /sbin/ldconfig

%postun -n libpanel-applet-2-0 -p /sbin/ldconfig

%post -n libpanel-applet-3-0 -p /sbin/ldconfig

%postun -n libpanel-applet-3-0 -p /sbin/ldconfig

%pre extras -f %{name}-extras.schemas_pre

%post extras
%icon_theme_cache_post

%posttrans extras -f %{name}-extras.schemas_posttrans

%preun extras -f %{name}-extras.schemas_preun

%postun extras
%icon_theme_cache_postun

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/clock/
%doc %{_datadir}/gnome/help/clock/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/clock/
%doc %{_datadir}/omf/clock/clock-C.omf
# generic directory for in-process applets
%dir %{_libdir}/gnome-panel
# directory for modules to load applets
%dir %{_libdir}/gnome-panel/modules
%ghost %{_libdir}/gnome-panel/modules/giomodule.cache
%if "%{_libdir}" != "%{_libexecdir}"
# generic directory for normal applets, and helpers
%dir %{_libexecdir}/gnome-panel
%endif
%{_bindir}/gnome-desktop-item-edit
%{_bindir}/gnome-panel
%{_datadir}/applications/gnome-panel.desktop
%{_datadir}/GConf/schemas/panel-default-setup.entries
%{_datadir}/gnome-panel/
%{_datadir}/gnome-panelrc
%{_datadir}/icons/hicolor/*/apps/gnome-panel*.*
%doc %{_mandir}/man?/gnome-panel.*
%{_libexecdir}/gnome-panel/gnome-panel-add
# Internal applets
%{_libdir}/gnome-panel/*.so
# Files that are in the extras package
%exclude %{_datadir}/gnome-panel/applets/org.gnome.panel.FishApplet.panel-applet
%exclude %{_datadir}/gnome-panel/pixmaps/fishanim.png
%exclude %{_datadir}/gnome-panel/pixmaps/footguy.png
%exclude %{_datadir}/gnome-panel/pixmaps/monkey.png
%exclude %{_datadir}/gnome-panel/pixmaps/oldwanda.png
%exclude %{_datadir}/gnome-panel/ui/fish.ui
%exclude %{_datadir}/gnome-panel/ui/fish-menu.xml
%exclude %{_datadir}/icons/hicolor/*/apps/gnome-panel-fish.*
%exclude %{_libdir}/gnome-panel/libfish-applet.so
# Files that are in the devel package
%exclude %{_datadir}/gnome-panel/ui/panel-test-applets.ui
%exclude %{_datadir}/gnome-panel/ui/panel-test-applets-bonobo.ui

%files bonobo-support
%defattr (-, root, root)
%{_libdir}/gnome-panel/modules/libpanel-applets-bonobo.so
%{_datadir}/gnome-2.0/ui/GNOME_Panel_Popup.xml
%{_datadir}/idl/gnome-panel-2.0/

%files -n libpanel-applet-2-0
%defattr (-, root, root)
%{_libdir}/libpanel-applet-2.so.*

%files -n libpanel-applet-3-0
%defattr (-, root, root)
# applets using this library must install a file in %%{_datadir}/gnome-panel/applets
%dir %{_datadir}/gnome-panel
%dir %{_datadir}/gnome-panel/applets
%{_libdir}/libpanel-applet-3.so.*
%{_libdir}/girepository-1.0/PanelApplet-3.0.typelib

%files lang -f %{name}-2.0.lang

%files extras -f %{name}-extras.lst
%defattr (-, root, root)
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/fish/
%doc %{_datadir}/gnome/help/fish/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/fish/
%doc %{_datadir}/omf/fish/fish-C.omf
# When changing the file list here, please update the excluded files in the main package
%{_datadir}/gnome-panel/applets/org.gnome.panel.FishApplet.panel-applet
%{_datadir}/gnome-panel/pixmaps/fishanim.png
%{_datadir}/gnome-panel/pixmaps/footguy.png
%{_datadir}/gnome-panel/pixmaps/monkey.png
%{_datadir}/gnome-panel/pixmaps/oldwanda.png
# Note that wanda.png is actually used by gnome-panel directly too, so it shouldn't be here
%{_datadir}/gnome-panel/ui/fish.ui
%{_datadir}/gnome-panel/ui/fish-menu.xml
%{_datadir}/icons/hicolor/*/apps/gnome-panel-fish.*
%{_libdir}/gnome-panel/libfish-applet.so

%files devel
%defattr (-, root, root)
%{_bindir}/panel-test-applets
%{_bindir}/panel-test-applets-bonobo
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gnome-panel/ui/panel-test-applets.ui
%{_datadir}/gnome-panel/ui/panel-test-applets-bonobo.ui
%{_includedir}/gnome-panel-3.0/
%{_includedir}/panel-2.0/
%{_libdir}/libpanel-applet-2.so
%{_libdir}/libpanel-applet-3.so
%{_libdir}/pkgconfig/libpanelapplet-2.0.pc
%{_libdir}/pkgconfig/libpanelapplet-3.0.pc

%files doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/panel-applet/

%changelog
* Tue Apr  5 2011 riggwelter@opensuse.org
- Add gnome-panel-bgo633566-clock-app-show-ews.patch: Evolution
  appointments are not shown in the clock applet (bgo633566 also
  bnc648940).  This patch from bgo fixes this.
* Thu Feb 17 2011 vuntz@opensuse.org
- Add gnome-panel-fix-applet-xinerama.patch: on a xinerama setup,
  applets on the second/third/etc. screens won't even start. This
  patch from git fixes this.
- Add gnome-panel-no-bonobo-in-process.patch: remove the
  possibility to have in-process bonobo applets. Having in-process
  bonobo applets will simply break the whole gnome-panel process,
  which is extremely bad. So we remove this option directly from
  the library. Note that it breaks API, but it actually affects no
  package in openSUSE, as far as I know -- if it happens to do so,
  though, then we can just rebuild the broken package as
  out-of-process applet. Taken from git.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Wed Dec 15 2010 vuntz@opensuse.org
- Make libpanel-applet-3-0 own /usr/share/gnome-panel and
  /usr/share/gnome-panel/applets as applets using this library must
  install a file there.
* Wed Nov 17 2010 dimstar@opensuse.org
- Update to version 2.32.1:
  + Panel: Support relocating the .gnome2 directory with an
    environment variable, like libgnome does
  + libpanel-applet: Fix build breakage caused by wrong include
  + Link gnome-desktop-item-edit against X libs too
  + Updated translations.
* Wed Oct 13 2010 vuntz@opensuse.org
- Remove libidl-devel BuildRequires: gnome-panel doesn't need it
  (it's actually needed as a dependency for ORBit, though, but we
  don't need it explicitly).
* Mon Oct 11 2010 vuntz@opensuse.org
- Add libpanel-applet-3-0 to baselibs.conf.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0.2:
  + Build panel with -export-dynamic. Else, it just fails badly at
    runtime
- Changes from version 2.32.0.1:
  + Fix build with --as-needed
- Changes from version 2.32.0:
  + Associate .gir with pkg-config file.
  + Updated translations.
* Tue Sep 14 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Panel
  - Fix various issues where panels stay hidden on load or on
    addition
  - Do not queue load of an applet if it's already being loaded
  - Fix loading of bonobo applets that are already configured
  - Understand bonobo IID in applet_iid keys
  - Add back optional support for bonobo applets to
    gnome-panel-add
  - Stop using deprecated gdk_display/GDK_DISPLAY()
  - Prevent modules from being unloadable, which fixes a crash on
    logout
  + libpanel-applet
  - Fix build with gobject-introspection 0.9.5
  + libpanel-applet
  - Stop using deprecated gdk_display
  + Misc
  - Small build fixes
  - Update information in README and other files
  - Rewrite gnome-panel man page
  - Explicitly link to xrandr
  + Updated translations.
- Drop gnome-panel-fix-hidden-panel-and-applets.patch: fixed
  upstream.
* Tue Sep  7 2010 vuntz@opensuse.org
- Add gobject-introspection-devel BuildRequires to build
  introspection support for libpanel-applet-3.
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: NetworkManager-devel, dbus-1-devel,
    evolution-data-server-devel, gnome-desktop-devel,
    gnome-menus-devel, libbonoboui-devel, libcanberra-devel,
    libgweather-devel, librsvg-devel, libwnck-devel
  + new-style: NetworkManager, ORBit-2.0, cairo, dbus-glib-1,
    gconf-2.0, gdk-pixbuf-2.0, glib-2.0, gnome-desktop-2.0,
    gtk+-2.0, gweather, ice, libbonoboui-2.0, libcanberra-gtk,
    libedataserver-1.2, libedataserverui-1.2, libgnome-menu,
    librsvg-2.0, libwnck-1.0, pango, sm, x11, xau.
- This will make it easier to switch to GNOME 3 libraries.
* Mon Sep  6 2010 vuntz@opensuse.org
- Add gnome-panel-fix-hidden-panel-and-applets.patch to fix several
  issues, with fixes I just pushed to git:
  + panel is hidden on first boot (bnc#637180)
  + newly created panels are hidden
  + main menu not on default panel (bnc#637130, bnc#637229)
- Remove 2.x references in summaries and descriptions: the panel
  will still be an option in GNOME 3.
* Thu Sep  2 2010 vuntz@opensuse.org
- Update to version 2.31.91:
  + Fix build with missing dbus-glib-1 dependency.
  + Notification Area Applet:
  - Fix bugs related to GSEALing effort.
  + Updated translations.
- Remove hack to fix the build by setting CFLAGS.
* Wed Sep  1 2010 vuntz@opensuse.org
- Fix workaround that fixes the build by adding the dbus-glib-1
  flags: we also need the path to headers.
* Wed Aug 18 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + Use the polkit helper from g-s-d to set time/timezone
  + Updated translations.
- Remove polkit-devel BuildRequires.
- Require gnome-settings-daemon-polkit-datetime.
* Sun Aug  8 2010 vuntz@opensuse.org
- Cleanup update to 2.31.4.
- Update to version 2.31.6:
  + Panel
  - Allow Windows key as valid mouse modifier
  - Update to latest gdbus API change
  + libpanel-applet
  - GSeal fixes
  + Workspace Switcher Applet
  * Fix crash in multiscreen setups
  + Updated translations.
- Remove gnome-themes Requires: it's just wrong.
- Remove gnome-control-center Recommends: there's no reason for it.
- Update summaries and descriptions.
- Fix license tags: the non-library code is GPLv2+, not LGPLv2.1+.
- Create a bonobo-support subpackage: the support for bonobo
  applets is optional, and this makes it easy to remove it when
  possible.
- Update packaging for /usr/share/gconf renaming to
  /usr/share/GConf.
- Reintroduce gnome-panel-bnc363981-intlclock-compatibility.patch,
  but update it for the new way panel applets work.
- Move panel-test-applets* utilities to devel subpackage, since
  it's really only useful for developers.
- Move old fish-related images to the extras subpackage.
* Thu Jul  8 2010 dimstar@opensuse.org
- Update to version 2.31.4:
  + More GSeal fixes
  + Stop using deprecated GTK+ API
  + libpanel-applet
  - Update to GDBus API change
  - Add gobject-introspection support
  + Clock Applet
  - Add -lm when linking the clock applet
  + Notification Area Applet
  - Fix issues with old-style multiscreen setups
  + Misc
  - Make automatic detection of bonobo work in configure
- Changes from version 2.31.2:
  + All
  - Provide a dbus-based applet library
  - Keep an optional bonobo-based applet library
  + Panel
  - Make sure that newly-created panels become unhidden
  + Misc
  - Require glib 2.25.7
  - Make orbit and bonobo dependencies optional
  + Updated translations.
- Drop gnome-panel-bnc363981-intlclock-compatibility.patch, as the
  change away from bonobo obsoletes this.
* Fri Jun  4 2010 coolo@novell.com
- fix baselibs.conf for the previous change
* Sun May 23 2010 guido+opensuse.org@berhoerster.name
- Split off libpanel-applet-2-0 subpackage
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Fri Mar 12 2010 dimstar@opensuse.org
- Update to version 2.29.92.1:
  + Panel: Fix crash when using the main menu
  + Misc: Add configure summary
  + Updated translations.
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Panel:
  - Display GenericName in tooltip if there's no Comment
  - Fix applet right-sticking on screen resolution change
  - Make email addresses hyperlinks in about dialog
  - Use special XDG directory icon names
  + All Applets:
  - Build with latest GSeal'ed GTK+
  + Clock Applet:
  - Fix wrong string in documentation
  - Use icon fallbacks if the theme does not include phases of
    moon
  - Validate input in add location dialog
  + Notification Area Applet:
  - Make location of standard status icons predictable
  + Updated translations.
* Mon Feb 22 2010 vuntz@opensuse.org
- Update to version 2.29.91:
  + Panel
  - Add X-GNOME-AutoRestart to desktop file
  + Clock Applet
  - Make sunrise/sunset and other times follow the 12/24h
    preference
  + Updated translations.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.29.6:
  + Panel
  - Load applets in a high-priority idle loop on startup
  - Build fix
  + Clock Applet
  - Updated documentation
  + Updated translations.
* Fri Jan 15 2010 vuntz@opensuse.org
- Do not package en@shaw locale on openSUSE 11.2 and earlier.
* Fri Jan 15 2010 vuntz@opensuse.org
- Remove libgnomeui-devel BuildRequires.
- Fix self-obsoletion of intlclock.
* Fri Jan 15 2010 captain.magnus@opensuse.org
- Update to version 2.29.5.1:
  + Panel
  - Update latest EggSMClient code, which requires no
    panel-specific patch
  - Fix potential crash when creating a launcher with drag and
    drop
  - Make sure to initialize bonobo
  + Clock Applet
  - Avoid unnecessary wakeups when monitoring non-existing
    timezone files
  + Misc
  - Require gnome-desktop >= 2.24.0
  + Translation updates
* Thu Jan 14 2010 captain.magnus@opensuse.org
- Update to version 2.29.5:
  + Panel
  - Use a native window for PanelWidget to fix uglyness on unhide
  - Fix crashes in various conditions with the new randr code
  - Fix important regression in very important code
  - Fix crash with malicious .gtk-bookmarks
  - Impose a limit on the size of the bookmarks file
  - Port code away from libgnome and libgnomeui
  - Do not add (deprecated) Encoding key when creating desktop
    files
  + Clock Applet
  - Remove hack for gravity that was needed with earlier pango
  - Check errors returned by PolicyKit
  - Deprecate gmt_time gconf key
  + Misc
  - Build fixes
  - Remove dependency on libgnome and libgnomeui
  - Add configure check for libcanberra-gtk
  - Add configure check for ice and sm (X libraries)
  + Translation updates
- Add libcanberra-devel to BuildRequires.
- Remove gnome-panel-fix-ugly-unhide.patch. Fixed upstream
- Remove gnome-panel-randr-crashes.patch. Fixed upstream
- Update the following patches to apply with fuzz=0:
  gnome-panel-2-11-bring-back-my-run-item.patch,
  gnome-panel-alt-f1-slab.patch, gnome-panel-beagle-search.patch,
  gnome-panel-bnc356242-recently-used-apps-hidden.patch,
  gnome-panel-bnc363981-intlclock-compatibility.patch,
  gnome-panel-main-menu-name.patch,
  gnome-panel-recent-check-exists.patch,
  gnome-panel-recently-used-apps.patch
* Tue Jan  5 2010 jengelh@medozas.de
- Package baselibs.conf
* Wed Dec  2 2009 vuntz@opensuse.org
- Update the way we remove the ha, la, ig locales for old versions
  of openSUSE.
* Tue Oct  6 2009 vuntz@opensuse.org
- Add gnome-panel-randr-crashes.patch to fix some crashes on
  startup because of the randr code. Fix bnc#543876.
- Add gnome-panel-fix-ugly-unhide.patch to fix some uglyness on
  unhiding a auto-hidden panel. Patch from upstream.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Panel
  - Add shebang to gnome-panel-add script
  - Use display name instead of name for menu items This implies
    we now support the X-GNOME-FullName key.
  - Make the desktop item editor not emit signals on startup
  - Support X-GNOME-FullName in the desktop item editor
  - Always show icons for categories in the applications menu
  + Clock Applet
  - Update the time when the user clicks to open calendar
  + Wnck Applets
  - Fix spin buttons not working in workspace switcher
    preferences
  + Misc
  - Require gnome-menus 2.27.92
  - Ship the desktop.in files in tarball, not pre-build .desktop
- Respin gnome-panel-2-11-bring-back-my-run-item.patch.
- Add gconf2-devel Requires to devel package.
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Panel
  - Drop dead code
  - Don't show icons icons for actions and categories
  - Remove use of GnomeEntry in run dialog
  - Port to GtkBuilder
  - Make the run button icon respect the desktop-wide setting
  - Add gnome-panel-add script to allow easy addition of applets
  - Use g_timeout_add_seconds to reduce wakeups
  - Ignore overlapping monitors and just use the largest one
  - Put LVDS as first monitor
  - Correctly set struts when two panels are right-oriented
  - Use /desktop/gnome/lockdown/disable_lock_screen
  - Use a different define for the size of the Applications menu
    icon
  - Clarify warning message at forced quit
  - Make sure to preload /apps/panel/general early enough
  - Remove empty labels from translation
  - Do not use non-existing monitors for toplevels
  - Do not save monitor changes that are caused by constraints
  - Use randr 1.3 features to detect the first monitor when
    possible
  - Use XRRGetScreenResourcesCurrent() when possible
  - Improve check for LVDS-named output
  - Remove deprecated Encoding key from desktop file
  + libpanel-applet
  - Port to GtkBuilder
  + All Applets
  - Port to GtkBuilder
  + Clock Applet
  - Change "Clock Options" label to "Clock Format"
  - Launch the configured calendar/tasks application instead of
    evolution
  - Port to PolicyKit 1
  - Make default PolicyKit configuration stricter
  - Do not crash when setting time/timezone without PolicyKit
  - Do not use obsolete and unneeded daylight variable
  - Fix confusion between GTime and time_t
  - Add missing mnemonics and window title
  - Use g_timeout_add_seconds to reduce wakeups
  - Do not place on the map locations with lat = 0 and lon = 0
  - Make it possible to change the name of a location
  - Add/improve translator comments
  - Code cleanups
  + Notification Area Applet
  - Allow more flexibility for NaTrayChild compositing
  - Use g_timeout_add_seconds to reduce wakeups
  + Misc
  - Add ACLOCAL_AMFLAGS
  - Use silent-rules instead of shave for quiet build
  - Remove workaround for scrollkeeper
  - Remove libglade dependency
  - Require libgweather 2.27.90
  + Updated translations.
- Remove PolicyKit-devel, PolicyKit-gnome-devel BuildRequires.
- Add polkit-devel BuildRequires.
- Respin gnome-panel-beagle-search.patch and
  gnome-panel-recently-used-apps.patch.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + Panel
  - Make the kill message of the action protocol work
  - Add missing animation_speed keys to default panel config
  - Make auto-hiding more reactive by tweaking default settings
  - Fix Command mnemonic in launcher editor
  - Fix crash when clicking launcher on second screen
  - Always show icons in panel menus
  + libpanel-applet
  - Fix critical warning when an applet is created
  + Clock Applet
  - Fix some small UI issues in the clock applet
  - Remove dead code
  + Notification Area Applet
  - Remove focus padding from status area
  + Misc
  - Remove now useless --with-clock-time-utility configure option
  + Docs
  - Remove deprecated help files
  - Update metadata for some help files
  + Updated translations.
- Use libexecdir for normal applets.
* Wed May 20 2009 vuntz@novell.com
- Update to version 2.26.2:
  + libpanel-applet
  - Only associate gconf keys with schemas when needed
  - Work-around new gconf bug that make the applets not see the
    default values in gconf
  + Clock Applet
  - Remove <requires-version> from glade file
  + Misc build system changes.
  + Updated translations.
- Remove --with-clock-time-utility configure flag: it's useless now
  (it's using some PolicyKit stuff).
- Remove scrollkeeper hack: it's not needed anymore.
- Do not package omf files twice.
* Wed Apr 29 2009 vuntz@novell.com
- Move gconf entries file from /etc/gconf/macros to
  /usr/share/gconf/macros. This is part of fate#305318.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Panel
  - Display the right icons for locations in the menu
  + Updated translations.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Panel
  - Ignore shadow mounts in the panel menus
  - Mark desktop files as trusted when it makes sense
  + Clock Applet
  - Fix bad memory usage for a string returned by libical
  + Misc
  - Remove scrollkeeper check, since it belongs to
    gnome-doc-utils
  + Updated translations
- Remove scrollkeeper BuildRequires.
- Remove -fno-strict-aliasing from CFLAGS.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Panel
  - Fix some randr-interaction by connecting to the
    monitors-changed signal.
  - Use close button instead of ok button in error dialogs
  + All Applets
  - Use close button instead of ok button in error dialogs
  + Updated translations.
* Sun Feb 22 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Panel
  - Remove the mixer applet from the default configuration since
    GNOME upstream doesn't ship this applet by default.
  + Clock Applet
  - Fix properties dialog to not have a missing image and a weird
    title
  - Use new GTK+ feature to change orientation of GtkBox instead
    of custom code
  + Notification Area Applet
  - Use new GTK+ feature to change orientation of GtkBox instead
    of custom code
  + Misc
  - Require GTK+ 2.15.1
  + Updated translations.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Thu Feb  5 2009 mboman@suse.de
- Update to version 2.25.90:
  + Panel
  * Add a timeout of 5 seconds to do the panel initial
    animation, in case an applet is blocked while it's loading
  * Fix some format security warnings
  + Clock Applet
  * Fix some format security warnings
  * Fix the dbus configuration file to specify the destination
    that is allowed instead of just some non-existing interfaces
  * Properly initialize the eds part handling passwords,
    fixing some hangs
  + Fish Applet
  * Fix some format security warnings
  * Build fixes
  + Notification Area Applet
  * Fix some format security warnings
  + Translation updates
* Sat Jan 31 2009 mboman@suse.de
- Update to version 2.25.5.1:
  + Fix a crash when the user configuration contains a separator
  + Only show shutdown/reboot menu items if made available by the session
    manager
  + Only allow dragging panels when pressing a modifier button (usually
    Alt) for expanded panels
  + Delay the initial panel animation until applets/objects are loaded
  + Fix initial animation not happening for newly created panels
  + Fix unloaded panels with existing configuration appearing empty when
    reloaded in gconf
  + Correctly set the struts of the panel at the very early start so that
    desktop icons don't jump around on login
  + Connect to the session manager when we're really ready, instead of
    doing it too early. This helps with desktop icons too
  + Respect TryExec key in desktop files that we directly put in the
    menus
  + Hide the option to use 12/24 hours if it's not supported in the
    current locale
  + Fix a crash on Solaris when the weather code is empty
  + Minor HIG fix
  + Fix applet compilation by explicitly listing LIBPANEL_APPLET_LIBS in
    LDADD
  + Translation updates
- Remove gnome-panel-bnc446448-clock-ampm.patch. Fixed upstream
- Remove gnome-panel-disable-movement.patch. Fixed upstream
* Mon Jan 26 2009 vuntz@novell.com
- On openSUSE <= 11.1, exclude locales unknown to the system.
* Fri Jan 23 2009 vuntz@novell.com
- Drop gnome-panel-bnc388089-clock-policykit-allow.patch: it's now
  handled at the distro level by polkit-default-privs.
- Make sure to remove all static libraries and "la" files.
- Call %%suse_update_desktop_file for gnome-panel.desktop
- Recompress gnome-panel-po.tar.gz as bz2.
- Remove some BuildRequires.
- Really fix encoding of both .spec and .changes.
- Clean up spec file a bit.
* Sat Jan 17 2009 crrodriguez@suse.de
- remove "la" files, baby step to clean up all references
  to libavahi-*.la
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Thu Jan  8 2009 vuntz@novell.com
- Add gnome-panel-bnc446448-clock-ampm.patch to hide the 12/24
  format selector when AM/PM is not supported by the locale.
  Fix bnc#446448.
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.25.3:
  + Use C_() instead of Q_()
  + Fix compilation warnings
  + Use dbus-based uniquification instead of bonobo-based
  + Add a --replace argument to replace the current panel instead of just
    leaving
  + Remove unneeded call to gnome_authentication_manager_init() (we use
    gio now)
  + Set an application name
  + Code cleanup
  + Use single include for glib and gtk+
  + Stop using many deprecated API
  + Start removing calls to libgnome/libgnomeui API
  + Use gio to launch desktop files, instead of gnome-desktop
  + Stop using gnome_help_display_desktop_on_screen() and get rid of
    libgnomeui dependency
  + Fix help for "connect to server"
  + Stop using many deprecated API
  + Add some inline documentation to the edit location window
  + Remove fixed width for buttons in the pref dialog
  + Show day of week header in "set time" calendar
  + Real tray icons transparency
  + Use the right help file for some help buttons
  + Make sure dialogs have the right window icon
  + Require glib 2.18.0
  + Remove obsolete german translation of documentation
  + Stop declaring a bonobo PanelShell interface
  + Translation updates
- Remove gnome-panel-clock-locations-hint.patch. Fixed upstream
- Remove gnome-panel-202076-root-launchers.patch. Code changed
* Mon Dec  8 2008 vuntz@novell.com
- Add gnome-panel-clock-locations-hint.patch to add a hint about
  how to add a new location to the clock applet. Fix bnc#439407.
* Sat Dec  6 2008 mauro@suse.de
- Updated translations.
* Wed Oct 29 2008 vuntz@novell.com
- Remove gnome-panel-menu-bar-migrate.patch: we don't support NLD9
  to SLED11 migration. Makes it possible to kill %%sles_version
  usage.
* Wed Oct 22 2008 vuntz@novell.com
- Update to version 2.24.1:
  + Clock Applet:
  - Try to update weather with a growing timeout in case of
    errors, to get an update faster
  + Require libgweather 2.24.1
  + Updated translations.
* Wed Oct 22 2008 vuntz@novell.com
- Remove gnome-panel-no-missing-tomboy-dialog.patch: it's not
  needed since gconf2-branding-SLES does the right thing now.
- Fix gnome-panel-disable-movement.patch: the initial state of new
  menu item in the context menu could be wrong. See bgo#556481.
- Rebase gnome-panel-recent-check-exists.patch.
- spec clean up.
* Wed Sep 24 2008 mboman@suse.de
- Update to version 2.24.0:
  + Panel
  * Name the panel menu main menu and menubar for easier theming
  * Fix glade file for GTK+ adjustment policy enforcement
  + Clock Applet
  * Fix glade file for GTK+ adjustment policy enforcement
  + Workspace Switcher Applet
  * Fix glade file for GTK+ adjustment policy enforcement
  + Translation updates
* Fri Sep 12 2008 maw@suse.de
- Update to version 2.23.92:
  + Panel:
  * Change back behavior of struts for auto-hiding panels to what
    we had before 2.23.6, and fix the original bug instead; the
    new behavior was considered annoying by users
  + Misc:
  * Fix evolution-data-server icon detection when using
  - -enable-eds
  + Updated translations.
* Fri Sep  5 2008 mboman@novell.com
- Update to version 2.23.91:
  + Panel
  * Make the title of the About dialog correctly translatable
  + Clock Applet
  * Improve tooltip for setting the current location
  * Open the calendar application on the right day when double-clicking
    on the calendar
  + Translation updates
* Fri Aug 29 2008 maw@suse.de
- Update to version 2.23.90.1:
  + Panel
  * Some code reorganization/cleanup
  * Make it easier to use D-Bus services that the panel is
    interested in
  * Use the gnome-session D-Bus API to log out/shut down
  * Update some icon names, including changing the bookmark
    icon name according to latest the gnome-icon-theme
  * Fix some gconf values in the default layout
  * Make logout work (updated to latest gnome-session API)
  + Clock Applet:
  * When opening the "set time" window, also set the day on the
    calendar so that the user doesn't accidently set a time in
    the past
  * Show groupwise and exchange appointments in the calendar
  * Load calendars asynchronously
  * Use the right color for tasks and appointments
  * Use new GWeatherLocationEntry and GWeatherTimezoneMenu
    widgets to select location/timezone
  * Do not show lock/logout/shutdown in the menus if those items
    are locked down
  * Fix cosmetic issue when opening the menu where launchers or
    applets got the focus drawn
  * Change behavior of struts for auto-hiding panels: the strut
    is live updated and matches what is shown of the panel; this
    means the size of a fullscreen window changes when the panel
    is hidden/unhidden
  * Ensure 12 hour clock format doesn't appear as 24 hour format
    initially
  + Updated translations
- Drop gnome-panel-dumb-build-fix.patch.
* Fri Aug  1 2008 mauro@suse.de
- Now gnome-panel requires gnome-panel-lang
  + Bugfix for bnc#412156
* Fri Jul 18 2008 vuntz@novell.com
- Tag patches
- Drop gnome-panel-clock-positon-truc.diff since it's broken (my
  upstream opinion) and not required anymore (the goal was to fix
  clock time truncation).
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.3:
  + Panel:
  * When opening a recent file, do not only look for applications
    that can open URI; if the file is gio-native (file://), then
    it's fine to get applications that can open paths
  * Open a mount after having mounted it since nautilus won't
    automatically open it anymore
  * Fix dragging of launchers from the Add to panel dialog
  + Clock Applet:
  * Lots of minor improvements
  + Misc
  * When compiling with NetworkManager support, check that the
    NetworkManager version is recent enough
  * Add new keys to gnome-panel.desktop to also make it work
    with gnome-session 2.23/2.24; the panel will still work
    with gnome-session 2.22, of course
  + Updated translations
- Add gnome-panel-dumb-build-fix.patch, which will go away upon
  gnome-panel's next release
- Drop obsolete patches: gnome-panel-clock-svn.patch.bz2,
  gnome-panel-bnc356242-recently-used-apps-hidden.patch, and
  gnome-panel-bnc388799-clock-edit-location-focus.patch
- Respin gnome-panel-bnc388089-clock-policykit-allow.patch.
* Fri May 16 2008 vuntz@suse.de
- Add gnome-panel-bnc388089-clock-policykit-allow.patch: changing
  the time now requires the root password. Fix bnc#388089.
* Tue May 13 2008 vuntz@suse.de
- Add gnome-panel-bnc356242-recently-used-apps-hidden.patch to not
  show desktop files in the recent menu. Fix bug bnc#356242.
- Add gnome-panel-bnc388799-clock-edit-location-focus.patch to fix
  initial focus in the Edit location window. Fix bug bnc#388799.
* Fri May  9 2008 federico@novell.com
- Added gnome-panel-bnc384159-clock-auth-dialog-transient-parent.diff
  to fix https://bugzilla.novell.com/show_bug.cgi?id=384159 - the
  authentication dialog used during a time/timezone change would
  appear below the clock's window.
* Wed May  7 2008 vuntz@suse.de
- Add gnome-panel-clock-svn.patch.bz2: this is basically a diff
  with the clock applet from gnome-panel 2.22.1.3. I fixed many
  many bugs upstream in the clock applet, and did some performance
  work. This was intended to be the version included in all
  distros, so it'd be a shame to not have this in 11.0.
- Drop gnome-panel-bnc359310-sysconfig-clock.patch: not needed
  anymore since it's fixed with gnome-panel-clock-svn.patch.bz2.
* Mon Apr 21 2008 vuntz@suse.de
- Drop gnome-panel-windowlist-fix.diff, it's useless with the way
  the window list works now.
- Drop gnome-panel-missing-icon-no-dialog.patch, it's fixed
  upstream already (in a different way).
- Drop gnome-panel-204645-variable-init.patch, it's fixed upstream
  since ages (and doesn't apply anymore, of course).
- Drop gnome-panel-novell-corner.patch: it changed the panel menu
  bar icon to a novell icon. However, this patch now is useless (the
  [#]define is not used) and this icon now is the GNOME one, since
  we're using the main menu by default instead of the menu bar.
- Drop panel-resize-60913.diff: it's fixed upstream in a different
  way already.
- Drop panel-vertical-resize-considerably-fix.diff: it was a fix
  for panel-resize-60913.diff...
- Drop panel-toplevel-size-retain-while-change-orient.diff: it was
  again a fix for panel-vertical-resize-considerably-fix.diff...
- Drop gnome-panel-build-warning.patch: fixed upstream in a
  different way.
- Drop gnome-panel-cal-updates-160200.patch: it's not used, there's
  no reference to it anywhere, bnc#160200 is fixed without this and
  the patch is known upstream as wrong.
- Drop gnome-panel-big-icons.patch: people wanting this change can
  modify their gtkrc to get the same result and upstream will never
  accept this change.
- Drop gnome-panel-5485-command-history.patch: this changes the
  behavior of the run dialog to work more like a shell for history,
  but it's buggy since it means that after some time, new items are
  not added to the history anymore (since that's the way GnomeEntry
  works: it only saves the beginning of the history). So move back
  to upstream behavior.
- Rewrite gnome-panel-recent-check-exists.patch so that it applies.
- Rewrite gnome-panel-2-11-bring-back-my-run-item.patch so that it
  applies.
- Only apply gnome-panel-menu-bar-migrate.patch in SLE.
- Only apply gnome-panel-no-missing-tomboy-dialog.patch in SLE.
- Change control-center2 Recommends to gnome-control-center
- Update the URL field.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1.1
  + Panel:
  * Convert username/login to UTF-8 in logout dialog
  * Fix applet processes not quitting when the applet is removed
  + Misc:
  * Remove old and useless files
  * Require gweather 2.22.1
  * Don't explicitly require libxml for the weather applet
    anymore
  + Clock Applet:
  * Fix crash when there are no locations available
  * Fix locations not appearing in the preferences dialog
  * Make find location window larger
  * Handle escape to close the dialog in the time/timezone
    dialogs
  * Fix various issues with adding/removing locations
  * Fix crash when PolicyKit helper can't be called
  * Fix crash when closing the calendar popup when a city is
    blinking on the map
  * Improve the blinking on the map when clicking on various
    locations
  * Cleanups
  * Correctly redraw the map outline on expose events
  * Fix crash when the location doesn't have coordinates
  * Fix crash when updating locations while calendar popup
    is not shown
  * Fix initial visibility of the appointments to actually
    follow the state of the expander
  * Make sure we always use data from the right country
  * Show caldav appointments in the calendar
  * Ignore dbus errors when setting the time and there's no
    reply on the bus
  * Open evolution on the right day, in all timezones
  * Fix crash when an evolution-data-server dies
  * Correctly set time, even when DST is on
  * Handle multiple locations in the same timezone in a better
    way
  * Fix weather tooltip to show the real temperature and the
    apparent temperature, instead of only the apparent one
  * Do not lose the weather location information when changing
    the timezone of a location
  * Don't show weather information of the last location once it
    has been removed
  * Remove empty space on the left of the clock when there's no
    location
  * Potential fix for another crash in the calendar code
  * When adding a location, make it the current one if it makes
    sense
  * Fix a potential crash on startup
  + Updated translations.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 vuntz@suse.de
- Update gnome-panel-bnc363981-intlclock-compatibility.patch to
  also fix bnc#376319: it seems SLED has an applet called
  OAFIID:GNOME_ClassicClockApplet
* Thu Mar 20 2008 vuntz@suse.de
- Add gnome-panel-bnc363981-intlclock-compatibility.patch to fix
  bnc363981: people having intlclock in their config will still
  have a working clock.
* Fri Mar 14 2008 sbrabec@suse.cz
- Set disable_panel_movement to false by default (should be set to
  true in branding).
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE
  (fate#301474).
* Fri Mar 14 2008 vuntz@suse.de
- Add gnome-panel-bnc359310-sysconfig-clock.patch to fix editing of
  /etc/sysconfig/clock. This is a temporary patch to get things
  working now. A better patch will be done upstream.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Clock Applet:
  * Validate PolicyKit policy files
  * Fix a crash when the format gconf key is not set
  * Fix handling of PolicyKit results when gaining authentication
  * Display sunrise/sunset in local time
  * Fix C99-isms
  + Updated translations.
* Mon Mar  3 2008 maw@suse.de
- Update to version 2.21.92:
  + Panel:
  * Use customized CD icons when available
  * Make the drawer work again
  * Update for more GIO API changes
  + Clock Applet:
  * Remove a debug statement which could cause crashes
  * Ensure locations show the local time
  * Also fix the problem where the time is invisible for
    a while after the popup has been shown
  * Fix the display of the weather on the panel
  * Take daylight savings time into account for local times
  * Fix complication when polkit is not available
  + Updated translations.
* Thu Feb 28 2008 rodrigo@suse.de
- Removed gnome-panel-clock-change-date.diff, since we already
  specify the tool to change date/time in a configure argument
  (bnc#365389)
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.91:
  + Fix orientation of panel handles
  + Port the to gio
  + Smooth animation on panel startup
  + Grab focus on logout dialog
  + Center the logout dialog
  + Load bonobo applets in a more asynchronous way
  + Use 24x24 icons by default again
  + Animation when the auto-hide size of a autohidden panel changes
  + Fancy launcher animation in composited environments
  + Updated translations
  + Use a png instead of an svg for the world map, so that it's
    faster to load
- Remove gnome-panel-bonobo-async.patch, which has been upstreamed.
* Fri Feb  1 2008 maw@suse.de
- Update to version 2.21.90:
  + Bugs fixed: bgo#509129, bgo#509888, bgo#509581, bgo#509840,
    bgo#509888, and bgo#510635
  + Updated translations
- Remove upstreamed gnome-panel-rh-glue.patch
- Reorder changelog entries.
* Tue Jan 22 2008 jpr@suse.de
- Add PolicyKit-gnome-devel as a BuildRequire for PolicyKit support
- Add gnome-panel-rh-glue.patch to fix policykit enabled build
- Add complete provides/obsoletes for gnome-panel-nld
- Remove old suse version check
* Mon Jan 21 2008 maw@suse.de
- Provide and obsolete intlclock.
* Thu Jan 17 2008 maw@suse.de
- Update to version 2.21.5:
  + Clock Applet:
  * Merge intlclock with the clock applet
  + Window List Applet
  * HIG fixes
  + Updated translations
- Update dependencies
- Remove gnome-panel-2.20.0-logout-icon-name.patch, which has been
  upstreamed.
* Tue Nov 27 2007 sbrabec@suse.cz
- Require timezone package (#344106).
* Tue Nov 27 2007 rodrigo@suse.de
- Added comment for upstreamed patch
  (http://bugzilla.gnome.org/show_bug.cgi?id=499973)
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Thu Sep 20 2007 maw@suse.de
- Revert to 2.20.0
- Add gnome-panel-2.20.0-logout-icon-name.patch, taken from
  2.20.0.1.
* Thu Sep 20 2007 maw@suse.de
- Update to version 2.20.0.1:
  + Revert usage if new icon name for logout, which breaks some
    icon themes.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * Panel: Show drawers on same monitor as the panels they're
    attached to
  * Panel: Use new icon name for logout
  * Clock Applet: Fix crashers in timezone handling
  * Clock Applet: Don't show the UI to have timezones in the clock
    since it's not ready
  * Docs and translations update
* Mon Sep 10 2007 cgaisford@novell.com
- Updated spec file and added the --with-clock-time-utility option
  to the spec file to make sure the correct path is being used
  for the time-utility (regardless of the gconf setting)
  Novell Bug #239626
* Mon Sep 10 2007 maw@suse.de
- Update to version 2.19.92:
  + In the logout dialogue, Fallback to user's login name when the
    user's real name is empty
  + Don't show tooltips for app categories in the menu
  + Use new icon name for search
  + Updated translations.
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.19.6:
  + Panel proper: fix tooltops changing on launchers, use new
    freedesktop.org power management interface, small fix to
    make this version of the panel work with older gnome versions
  + All applets: use the gtk-about icon instead of the deprecated
    gnome-stock-about
  + Clock applet: Fixed a crash when /etc/localtime isn't a
    hard link, solaris compilation fixes, don't mark icons as
    translatable, code cleanups
  + Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Wed Aug  1 2007 maw@suse.de
- Update to version 2.19.5
  Panel
  * Make changing orientation of an expanded panel work better when
  dragging the panel(Vincent)
  * Fix name of launcher created by dropping an URI on the panel
  (Vincent)
  * Improve handling of size hints from applets. This is needed for the
  tasklist sizing algorithm to correctly work (Vincent)
  * Use new icon for recent documents (Vincent)
  * Save the panel position relatively to the right/bottom edge of the
  monitor when needed. This fixes a lot of problems, like the panel
  being at the center of the screen when resizing the screen or when
  the size of the panel grows. (Vincent)
  * Also do not save the position of the panel in gconf when the position
  is changed because of constraints. This also fixes a lot of problems,
  like the panel suddenly snapping to the center or an edge of the
  screen because its size has changed. (Vincent)
  * Fix crash when a panel is destroyed whil its context menu is opened
  (Vincent)
  * Make it possible to have bigger panels (up to 1/5 the screen size)
  for people wanting sidebars (Vincent)
  * Fix a crash in the lockdown checking code (Vincent)
  * Don't use nautilus-home.desktop for the places menu, but makes the
  item a real place item (Vincent)
  * Automatically use the right icon for launchers for $HOME or ~/Desktop
  (Vincent)
  * Migrate to GtkTooltip (Vincent)
  * Code cleanups (Vincent)
  * Add a detail for theming the arrow in the button widget (Vincent)
  * Add new _GNOME_PANEL_ACTION_KILL_DIALOG action to the panel action
  protocol (Bastien Nocera)
  * Use program-name instead of name property for GtkAboutDialog
  (Vincent)
  gnome-desktop-item-edit
  * Use g_option_context_set_translation_domain() (Gabor Kelemen)
  All applets
  * Use gtk_widget_set_tooltip_text() (Vincent)
  * Use program-name instead of name property for GtkAboutDialog
  (Vincent)
  * Fix compilation (Vincent)
  Clock Applet
  * Sort completed tasks last, treat unprioritised tasks as normal
  priority, and fall back on sorting by summary (Ross Burton)
  * Add a first version of timezone support. This needs some UI love.
  (Vincent)
  Window List Applet
  * Do not call wnck_screen_force_update(). Fix a crash. (Vincent)
  * Code cleanups (Vincent)
  * Fix window list sizing (most of the changes are in libwnck) (Vincent)
  * Deprecate minimum/maximum size settings (Vincent)
  Workspace Switcher Applet
  * Code cleanups (Vincent)
  * Show/hide some of the settings in the properties dialog depending on
  the window manager, since some of the settings are not saved or don't
  make sense when metacity is not used. (Vincent)
  Misc
  * Require libwnck 2.19.5 (Vincent)
  * Add libbonobo and libbonoboui explicit checks for compilation
  (Vincent)
  Translators
  * Jordi Mallach (ca)
  * Tshewang Norbu (dz)
  * Jorge González (es)
  * Ivar Smolin (et)
  * Changwoo Ryu (ko)
  * Kjartan Maraas (nb)
  * Tomasz Dominikowski (pl)
  * Nickolay V. Shmyrev (ru)
  * Danishka Navin (si)
  * Daniel Nylander (sv)
  * "Last-Translator:  (ta)
  * Clytie Siddall (vi)
  * Funda Wang (zh_CN)
- Use %%fdupes and symlinked license files.
* Sat Jul 14 2007 aj@suse.de
- It's really libwnck-devel.
* Tue Jul 10 2007 maw@suse.de
- Update to version 2.19.4
- Requires newer versions of glib and gtk
  ==============
  Version 2.19.4
  ==============
  Panel
  * Use g_timeout_add_seconds() when possible (Vincent)
  * Use g_get_user_special_dir() to get XDG user dirs (Vincent)
  * Code cleanup (Vincent)
  * Fix crash when the applications menu is updated but the user had a
  context menu for a launcher (Vincent)
  libpanel-applet
  * Code cleanup (Vincent)
  All applets
  * Migrate to new tooltip API (Vincent)
  Clock Applet
  * Use g_timeout_add_seconds() when possible (Vincent)
  * Fix compilation issue when e-d-s is not used (Vincent)
  Misc
  * Require glib 2.13.0 (Vincent)
  * Require gtk+ 2.11.3 (Vincent)
  Docs Translators
  * Jorge Gonzalez (es)
  * Daniel Nylander (sv)
  Translators
  * Tshewang Norbu (dz)
  * Jorge González (es)
  * Tomasz Dominikowski (pl)
  ==============
  Version 2.19.3
  ==============
  Panel
  * Fix compilation on BSD/Solaris (Damien Carbery)
  * Use the launcher icon if the Icon key of a launcher is empty
  (Vincent)
  * Code cleanups (Vincent)
  * Make some dialogs more HIG-compliant (Vincent)
  * Add username of the current user to the logout dialog (Vincent)
  * Always put focus on the name entry in launcher editor (Vincent)
  * Make it possible to press Enter to close the launcher editor
  (Vincent)
  * Don't reset visibility of all programs in the program list of the run
  dialog when selecting one item (Vincent)
  * Use nice names in the bookmarks for fonts:// and other known methods.
  Also improve the name of remote files, based on what nautilus does
  (Vincent)
  * Accept trash:// and nautilus search URIs in the bookmarks (Vincent)
  * Use better icons when possible for the bookmarks (Vincent)
  * Fix initial background not working on applets' handles (Vincent)
  * Workaround a GTK+ bug that makes the panel change its background when
  the panel properties dialog is opened (Vincent)
  * Make removing a comment for launchers actually work (Vincent)
  * Use an icon for the removable medias menu item (Vincent)
  * Fix drawer properties dialog title to refer to drawer and not panel
  (Vincent)
  gnome-desktop-item-edit
  * Make the dialog use the right buttons when creating a new .directory
  file (Vincent)
  Clock Applet
  * Have separate treeviews for appointments, birthdays and weather
  (Priit Laes, Vincent)
  * Use GtkExpander to make it possible to show/hide events in the
  calendar popup (Vincent)
  * Lots of code cleanup (Vincent)
  * Mark multiple days events correctly (Sebastien Bacher)
  Window List Applet
  * Never group windows by default. This mode is buggy, and it's
  impossible to fix all the bugs, so let's try another mode by default
  for 2.19.
  * Add an assertion to detect bad data returned by libwnck
  Window Selector Applet
  * Update for libwnck API change
  Misc
  * Fix some build errors (Loïc Minier)
  * Fix typo for --with-clock-time-utility configure flag
  (Sebastien Bacher)
  * Require libwnck 2.19.3
  * Rework X libraries detection in configure (Loïc Minier)
  * Add dependency on evolution-data-server (for icons) (Vincent)
  Docs Translators
  * Jorge Gonzalez (es)
  * Daniel Nylander (sv)
  Translators
  * Ihar Hrachyshka (be@latin)
  * David Lodge (en_GB)
  * Jorge González (es)
  * Ivar Smolin (et)
  * Stéphane Raimbault (fr)
  * Yuval Tanny (he)
  * Kjartan Maraas (nb)
  * Nickolay V. Shmyrev (ru)
  * Daniel Nylander (sv)
  * Theppitak Karoonboonyanan (th)
  ==============
  Version 2.19.2
  ==============
  Panel
  * Code cleanups (Vincent)
  * Force the panel to not be restarted when there's already a panel
  running, fix endless loop of error dialogs (Vincent)
  * Add a checkbox to let the user choose to not restart the panel if
  there was a problem registering with bonobo at startup (Vincent)
  * Default the "Applet disappeared" dialog to reload (Vincent)
  * Default the "Can't load applet" dialog to not delete (Vincent)
  * Small HIG improvements to the launcher editor (Vincent)
  * Fix alignment of the run label in the run dialog (Vincent)
  * Fix creation of launchers with empty spaces in the command (Vincent)
  * Fix the launcher editor to not save a full-path icon for the
  non-localized icon when it's not needed (Vincent)
  * Fix gnome-desktop-item-edit work for relative URI when creating a
  .directory file (Vincent)
  * Use the launcher icon as a fallback for launchers without an icon
  (Vincent)
  * Guess the icon when the user enters a command in the launcher editor
  (Vincent)
  * Use macros for name icons to easily change the name of named icons
  when needed (Vincent)
  * Check whether reboot is enabled in gdm (and not only shutdown) and
  only show the buttons when they're useful in the logout dialog
  (Brian Cameron)
  * Prefer /var/run/gdm_socket as path for the GDM socket (Loïc Minier)
  * Take into account NAME_MAX for the length of the filename when
  guessing a name for launchers in gnome-desktop-item-edit (Vincent)
  * Fix creation of launcher when dragging an URL with ? or : (Vincent)
  * Make some error dialogs visible in the taskbar and make some other
  transient to the panel (Vincent)
  Clock Applet
  * Don't display tasks that are marked completed (Ross Burton)
  * Update the clock when the configuration tool exits so that the user
  doesn't have to wait up to one minute to see the change (Ray Strode)
  * Fix preferences window to not hide the custom format when it should
  be shown (Jamie Fox)
  * Document that the custom format is the format used by strftime
  (Vincent)
  * Show the date by default in the applet (Vincent)
  * Let distributor easily specify their configuation tool instead of
  hardcoding everything (Vincent)
  * Update the clock every second for UNIX format (Vincent)
  * Make Internet time work a bit better (Vincent)
  Notification Area Applet
  * Fix compiler warning (Vincent)
  Misc
  * Install data files in $(datadir)/gnome-panel/ instead of
  $(datadir)/gnome/panel/ (Vincent)
  * Add --with-clock-time-utility configure flag
  * Run gtk-update-icon-cache on uninstall
  * Make .desktop file used for bug-buddy translatable
* Mon May 14 2007 pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequires and Requires
  [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Thu Apr 12 2007 maw@suse.de
- Update to version 2.18.1
- Several crashers fixed
- Don't show the "lock screen" menu item if the user is root as
  the screen cannot be locked in that case
- Updated translations.
* Thu Mar 22 2007 maw@suse.de
- Update to version 2.18.0
- Require pango 1.15.4 to build
- Nuke .cvsignore
- Fixes bugzilla.gnome.org #382307.
* Tue Mar 13 2007 maw@suse.de
- Update to version 2.17.91
- Remove and refresh patches
- Bug fixes, including bugzilla.gnome.org #394893, #394896,
  [#351832], #395654, #359707, #372685.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Mon Jan 29 2007 sbrabec@suse.cz
- Removed remaining references to /opt/gnome.
* Thu Jan 18 2007 sbrabec@suse.cz
- Consistent -extras package split (#235986).
* Wed Jan 17 2007 sbrabec@suse.cz
- Removed obsolete scrollkeeper directory (#230786).
* Mon Jan  8 2007 sbrabec@suse.cz
- More spec file cleanups.
* Mon Jan  8 2007 maw@suse.de
- Move to /usr
- Some specfile cleanup.
* Thu Dec 28 2006 jhargadon@suse.de
- cleaned up the libtool files in the specfile (#223683)
* Tue Nov 28 2006 sbrabec@suse.cz
- Use Recommends: gnome-main-menu to break dependency loop.
* Wed Nov 15 2006 jimmyk@suse.de
- Updated recently-used-apps.patch to be compatible with new recently-used
  format, BNC #221392.
* Tue Nov  7 2006 jhargadon@suse.de
- removed obsolete patch gnome-panel-help-item.patch as a partial
  fix for bug #214294
* Mon Oct 30 2006 danw@suse.de
- Add gnome-panel-202076-root-launchers.patch to reenable
  X-KDE-SubstituteUID support in launchers (which got broken by an
  upstream rewrite to not use GnomeDesktopItem)
- Fix gnome-panel-run-fixes.patch to not crash when a desktop
  file points to a non-existent binary and not pop up two error
  dialogs if a command can't be run. #213903
* Thu Oct 19 2006 jpr@suse.de
- Initialize location variable properly (#204645)
- Initialize comparison variables properly (bgo #363309)
- Remove obsolete bits of build warning patch
* Mon Oct 16 2006 danw@suse.de
- Remove dead patches
- Update and re-enable gnome-panel-disable-movement.patch,
  gnome-panel-beagle-search.patch, and
  gnome-panel-missing-icon-no-dialog.patch
- Replace disabled gnome-panel-in-proc-applets.patch with
  new --with-in-process-applets flag
* Fri Oct 13 2006 aj@suse.de
- Adjust BuildRequires for gnome-doc-utils.
* Thu Oct 12 2006 danw@suse.de
- Update and reenable gnome-panel-run-fixes.patch (#202076)
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Fix crash when alacarte isn't installed
- Do not present the 'new launcher' in the "add to panel" dialog
    when the command line is disabled
- Require libecal 1.6.0
- translation updates
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- Panel
  * Plug leaks
  * Don't (wrongly) modify the laucnher when creating the editor
- Clock Applet
  * Fix crash when double-clicking on the calendar
- Misc
  * Add 24x24 versions of the icons
- translation updates
* Sat Sep  2 2006 aj@suse.de
- Disable scrollkeeper.
- Fix lib64 build.
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.92
- Fix panel going to the top of screen instead of autohiding
- Make relative paths work in gnome-desktop-item-edit
- Use new icon for run dialog
- Fix crash when alacarte is not found for editing a menu
- Handle drop of some special icons on the nautilus desktop
- Fix drag and drop of items from the menu
- Remove extensions of the icon name before looking for it for the
  menus
- Don't add ellipsises at the end of "Delete Panel"
- Update icon for the network places
- Fix crash when quitting and an applet is crashing
- Fix sensitivity of "Recent documents" menu item
- Fix updates of launchers when editing
- Don't throw a critical warning if the icon of a launcher can't be
  found in the icon theme when editing the launcher
- Make it possible to clear recent documents list more than once
  libpanel-applet
- Use GOption for the applets
- Make g_object_new() really work for PanelApplet
  Clock Applet
- Algorithm fix for size detection
- Convert from locale to UTF-8 the output of strftime()
  Notification Area Applet
- Stop using XInternAtom()
- Try to fix the notification area in multihead non-xinerama setups
- Make transparent icons in the notification area
- Make balloon messages work
  Show Desktop Applet
- Use the optimal size for icon so it's sharp
  Misc
- Require GTK+ 2.10.0
- Add new --with-in-process-applets to make it possible to compile
  applets as in-process applets
* Tue Aug 22 2006 jhargadon@suse.de
- update to version 2.15.91
- Don't block when X is killed
- Use GtkRecent
- Don't use GnomeDesktopItem where possible
- New dialog to edit launchers
- Don't show error about not found icons multiple times per launcher
- Use new animation for Wanda
* Fri Aug  4 2006 gekker@suse.de
- Update to version 2.14.2
- Remove upstreamed patches
- Merge in configuration from gnome-panel-nld
  Panel
  * Fix closing of About dialog (Vincent)
  * Don't show an empty label for local URI that are not file: URI in
    the bookmarks (Vincent)
  * Always canonicalize URIs in launchers before showing them (Vincent)
  * Remove the Suspend button on the logout dialog (this is not a
    regression wrt 2.12) (Vincent)
  * Fix underscores not being visible in menu items (Vincent)
  * Don't reboot/shutdown immediately if other users are connected
    (Vincent)
  * Don't display the Shut Down item if GDM is not running (Vincent)
  * Use GOption instead of popt (Vincent)
  * Put logout dialogs above all windows and on all workspaces (Vincent)
  * Show the logout dialog on the correct screen (Vincent)
  * Fix crashes
  * Fix search of application launchers in "Add to panel" dialog
    (Vincent)
  * Fix potential crash when there's an error loading an applet (Vincent)
  * Update libegg code (Vincent)
  * Fix crash when logout dialogs are closed by the window manager
    (Vincent)
  * Look in the XDG data dirs when loading a .desktop file, so we don't
    need the whole path (Vincent)
  * Update default panel config to just use basenames for .desktop files
    (Vincent)
  * Remove the screenshot action button and migrates the existing config
    to use gnome-screenshot.desktop (Vincent)
  * Make image with transparency backgrounds work (Vincent)
  * Add CD recording item to the Places menu (Sébastien Bacher)
  * Add a search entry to the "add to panel" dialog (Vincent)
  * Re-cache the applications menu when reloading it after there has been
    some fam/gamin/inotify events (Vincent)
  * Add a preview widget in the image background chooser (Vincent)
  * Update the known applications list while typing and only show the
    items that match (Vincent)
  * Use a close button instead of the cancel one in the "add to panel"
    dialog (Claudio Saavedra)
  * Add tooltips for the menu bar (Vincent, Christian Kirbach)
  * Don't do something on double/triple clicks for buttons (Vincent)
  * Make applet handles handle transparency (Ryan Lortie, Vincent)
  * Fix auto-hide panel not autohiding after the "Delete dialog" has been
    opened (Vincent)
  * Synchronize the way remote bookmarks are displayed with nautilus
    (Vincent)
  * Don't display error when an url show is canceled (Christian Neumair)
  libpanel-applet
  * Fix tiling for image backgrounds (Vincent)
  * Add new API to automatically update the background of a widget
    (Ryan Lortie, Vincent)
  * Fix bookmarks with spaces (Vincent)
  * Display bookmarks in the same way than nautilus (Vincent)
  * Don't set the background multiple times on startup (Vincent)
  * Fix searching in the application list of the run dialog (Vincent)
  * Change default panel size to 24 (Vincent)
  * Change the way we report orientation to applets (Vincent)
  Applets
  * Fix closing of About dialogs (Vincent)
  * use new libpanel-applet API for the background (Vincent)
  Clock Applet
  * Launch evolution on the clicked day (Tollef Fog Heen, Vincent)
  * Don't offer the 12-hour format to the user if his locale don't
    support it (Vincent)
  * Make task activation work correctly (William Jon McCann)
  * Sort tasks by due date if priorities are the same (kraai@ftbfs.org)
  * Don't show the date by default (Vincent)
  Show Desktop Applet
  * Use less padding for the focus so the icon doesn't get trimmed
    (Rodney Dawes)
* Tue May 23 2006 danw@suse.de
- Remove gnome-panel-window-list-default.patch, since we apparently
  now prefer the upstream default. #177979.
* Fri May 12 2006 rodrigo@suse.de
- Added patch to show slab menu on alt-f1 (#152992)
* Tue May  9 2006 danw@suse.de
- If the command in the run dialog matches a .desktop file, use path
  and uid info from that .desktop file, so that eg "yast2" will work.
  [#115576].
* Tue Apr 18 2006 jpr@suse.de
- Make sure all events are shown properly (#160200)
* Sat Mar 25 2006 joeshaw@suse.de
- Don't pop up a warning if we can't load an icon.  Fixes bnc
  [#157121].
* Thu Mar 23 2006 rml@suse.de
- Require evolution-data-server (needed by calender widget in clock
  applet)
* Tue Mar 14 2006 jimmyk@suse.de
- Modify Alt-F2 Run Dialog to update ~/.recently-used-apps
* Wed Mar  8 2006 danw@suse.de
- Make the notification area obey panel transparency (and fix a bug
  in setting panel transparency). #155345
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Tue Feb 21 2006 rodrigo@suse.de
- Added 2 missing patches from gnome-panel-nld.
* Fri Feb 17 2006 gekker@suse.de
- Don't show error if tomboy not installed (#147468)
- Rename Main Menu to Traditional Main Menu (#137006)
- Fix crasher in panel (b.g.o#323996)
* Fri Feb  3 2006 gekker@suse.de
-  Add tomboy to requires (#147468)
* Thu Feb  2 2006 sbrabec@suse.cz
- Fixed and extended comments for translators in clock-positon-truc
  patch to become visible in po files.
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 aj@suse.de
- Cleanup BuildRequires.
* Thu Jan 26 2006 gekker@suse.de
- Add tomboy to default panel (#143160)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 gekker@suse.de
- Use the same layout as NLD, but with the standard menu
* Tue Jan  3 2006 gekker@suse.de
- Change back to the normal preconf used in 10.0
* Fri Dec  9 2005 sbrabec@suse.cz
- Moved fish.schemas scriptlet to proper subpackage (#137775).
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Mon Nov 28 2005 gekker@suse.de
- Split out the fish applet to gnome-panel-extras (#134398).
* Wed Oct 19 2005 gekker@suse.de
- Add fortune to Requires so it is there for fish applet
- Move unversioned .so plugins to main package
* Mon Oct 17 2005 rodrigo@suse.de
- Removed powersave* from nfb.
* Mon Oct 17 2005 rodrigo@suse.de
- Don't start the battstat applet, gnome-session starts now
  the gnome-power-manager, which deals with battery present/not
  present.
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
- Re-diff a couple patches so that they still apply
* Thu Oct 13 2005 ro@suse.de
- added powersave-devel, powersave-libs to nfb
* Sun Oct  9 2005 gekker@suse.de
- Run run clock, notification-area, wnck, and fish in process
* Thu Sep 29 2005 sbrabec@suse.cz
- Require gnome-themes.
* Thu Sep 22 2005 clahey@suse.de
- New panel layout.
* Tue Sep 20 2005 gekker@suse.de
- Fix command history to use correct order (5485)
* Fri Sep  9 2005 clahey@suse.de
- Put back run application menu item.  bug #116208
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 2.12.0
- Updated preconf patch.
* Sun Aug 28 2005 jpr@suse.de
- Launch nautilus-search or `nautilus x-nautilus-search:` from the
  places menu (113691)
* Thu Aug 25 2005 jpr@suse.de
- Rework patch that conflicted with upstream change. (112835)
* Mon Aug 22 2005 rodrigo@suse.de
- Update to version 2.11.92
* Mon Aug 22 2005 ro@suse.de
- remove control-center2 from nfb
* Fri Aug 19 2005 gekker@suse.de
- Fix to change to gnomesu to use /sbin/yast2
* Fri Aug 12 2005 gekker@suse.de
- Add patch to fix show desktop icon
- Use gnomesu for time adjust instead of kdesu
* Wed Aug 10 2005 gekker@suse.de
- Remove -rpath and fix nfb (95673)
* Sun Aug  7 2005 aj@suse.de
- Fix needed for build.
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
- Remove upstreamed patches
* Mon Aug  1 2005 sbrabec@suse.cz
- Refer to evolution-2.4 (#99676).
* Tue Jul 26 2005 gekker@suse.de
- Update to version 2.11.5
* Mon Jul 25 2005 ro@suse.de
- added dbus to neededforbuild
* Tue Jun 21 2005 sbrabec@suse.cz
- Updated to version 2.11.3.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Mon Apr 11 2005 sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Sat Mar 19 2005 jody@suse.de
- Merge patch to optionally disable moving a panel with a mouse.
  (#72924)
* Sat Mar 19 2005 clahey@suse.de
- Fix the battstat-for-gnome patch to not freeze on desktops.
* Wed Mar 16 2005 gekker@suse.de
- Add battstat-for-gnome patch
- Add powersave to neededforbuild
* Tue Mar 15 2005 sbrabec@suse.cz
- Removed outdated Czech and German translations.
* Mon Mar 14 2005 clahey@suse.de
- Fix notification area.
- Fix launchers.
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Wed Mar  9 2005 clahey@suse.de
- Replaced yelp with SuSE help center in Desktop menu.
* Wed Mar  9 2005 clahey@suse.de
- link to proper evolution desktop file.
* Mon Mar  7 2005 gekker@suse.de
- Add -rpath for mozilla libs (67286)
* Fri Mar  4 2005 gekker@suse.de
- Update to version 2.9.92
* Tue Mar  1 2005 clahey@suse.de
- Use firefox in 9.3.
* Sun Feb 27 2005 ro@suse.de
- added mozilla to nfb
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.91
* Tue Feb  8 2005 gekker@suse.de
- Update to version 2.9.90
* Fri Jan 21 2005 gekker@suse.de
- Update to Rudi's improved 64-bit fix.
* Fri Jan 21 2005 gekker@suse.de
- Update to version 2.9.4
- Temporarily remove several patches for reworking
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon Oct  4 2004 hhetter@suse.de
- launch user-guide in help, not nld-user-guide
* Fri Oct  1 2004 sbrabec@suse.cz
- Czech translation update from Klara Cihlarova (#46621).
* Fri Sep 24 2004 ke@suse.de
- Update gnome-panel-de.po [#46011].
* Fri Sep 24 2004 hhetter@suse.de
- unlock all preconfiguration panel elements (#45634)
- "Control Center" instead of "Personal Settings"
  "YaST" instead of "Administrator Settings"
  (#46011)
* Thu Sep 23 2004 clahey@suse.de
- Point at evolution-2.0.desktop.
* Wed Sep 22 2004 hhetter@suse.de
- implement NoDisplay and Hidden in the quick-desktop-reader
  (#45655)
* Fri Sep 17 2004 ke@suse.de
- Update translation files and translate German messages
  (gnome-panel-de.po); [#45523].
* Thu Sep 16 2004 dave@suse.de
- Replaced recent-files.diff with a better
  gnome-panel-recent-check-exists.patch, fixes ximian #64796
* Tue Sep 14 2004 hhetter@suse.de
- re-introduce gnome-panel-ximian-menus patch, to get YaST2 and
  control-center in the menubar
- load the suse-menustripe
* Tue Sep 14 2004 ke@suse.de
- Add docbook_4 and sgml-skel to neededforbuild to make scrollkeeper
  install properly.
* Mon Sep 13 2004 hhetter@suse.de
- actually reactivate the SUSE Menu, full toplevel in the
  menu bar ( most of  #45052, partly #45027)
* Fri Sep 10 2004 ro@suse.de
- added shared-mime-info to neededforbuild
* Fri Sep  3 2004 hhetter@suse.de
- remove patches to disable distribution menu as we going to
  have SUSE menu toplevel in 9.2
- remove Admisitrator Settings patch
* Thu Sep  2 2004 hhetter@suse.de
- default to epiphany on 9.2, not Firefox
* Fri Aug 27 2004 shprasad@suse.de
- Fixes bug #63142 (Fix given by svasista@novell.com)
  Force quit  doesnt cause panel crash if the application quits before.
- Fixes bug #63145 (Fix given by svasista@novell.com)
  Screensaver deamon restarts correctly.
- Fixes bug #61945 (Fix given by sdharmaveer@novell.com)
  Fixes the hang of clock applet while trying to modify date and time using yast for
  the second time. Also introduces kdesu yast2 instead of yast2.
- Fixes bug #63205 (Fix given by sdharmaveer@novell.com)
  Introduces a check on mouse button release while dragging the panel to change orient.
  writes the size changes to gconf only after the mouse button is released. This fixes
  resizing problems due to menubar present on vertical panels.
* Fri Aug 27 2004 clahey@suse.de
- Cache gnome-panel help.
* Thu Aug 26 2004 dave@suse.de
- New version of the panel layout patch, fixes ximian #58717
* Tue Aug 24 2004 rml@suse.de
- remove support for suse and a11y menus (bug #63544)
* Sun Aug 22 2004 ro@suse.de
- fixed typo in specfile
* Fri Aug 20 2004 shprasad@suse.de
- Fixes bug #62545
  'System -> Recent files' shows an error dialog instead of
  launching the application, when that file doesn't exist.
* Tue Aug 10 2004 clahey@suse.de
- Updated corners patch from joeshaw.
* Tue Aug 10 2004 shprasad@suse.de
- Fixes bug #62427 (Fix given by sdharmaveer@novell.com)
  This fixes the gradually increasing size of vertical panels.
* Tue Aug 10 2004 shprasad@suse.de
- Fixes bug #60607  (Fix given by svasista@novell.com)
  Puts the appropriate Icon from the current theme.
- Fixes bug #60979  (Fix given by svasista@novell.com)
  Panel Menu-bar no longer gets invoked by mouse-over event.
- Fixes bug #54494  (Fix given by svasista@novell.com)
  Launcher displays relevant icon from the current theme.
* Fri Aug  6 2004 shprasad@suse.de
- Fixes bug #59830.
  Removing the 'System -> Screen Lock' and 'Add to Panel -> Action -> Lock'
  menus when the user logs in as root.
* Mon Aug  2 2004 shprasad@suse.de
- Fixes bug #60913 (Fix given by sdharmaveer@novell.com)
  Inserts actual panel width to gconf after stretching of the
  vertical panel.
* Fri Jul 30 2004 shprasad@suse.de
- Fixes bug #61166 (Fix given bt svasista@novell.com)
  Doesn't accept pipes as background.
* Thu Jul 29 2004 dave@suse.de
- Added gnome-panel-run-dialog-dnd.patch
* Mon Jul 26 2004 clahey@suse.de
- Updated to gnome-panel-2.6.2.
- Added workspaces default patch.
* Fri Jun 25 2004 clahey@suse.de
- Add notification area.
* Thu Jun 24 2004 sragavan@suse.de
- Fixed the change date settings in clock applet. Using yast instead
  of time-admin
* Wed Jun 23 2004 sragavan@suse.de
- Fixed Administrator Settings menu independent of kdebase3
- Fixed url drag and drop to panel
- Fixed the clock time truncation
- Fixed the window list issue
* Fri Jun 18 2004 ro@suse.de
- merged changes from sragavan:
  proper patch file for SuSE menu
  fixed the wncklet applet crash when double clicked
  Moved A11y menu down (bug 58041)
* Mon Jun  7 2004 clahey@suse.de
- Replace gnome foot in corner with the Novell N.
* Fri Jun  4 2004 clahey@suse.de
- Added evolution-data-server to builddeps so as to build clock
  with evo calendar integration.
* Wed Jun  2 2004 clahey@suse.de
- Added menu-stripe patch.
* Mon May 17 2004 sbrabec@suse.cz
- Fixed incorrectly applied gnome-panel-corners.patch.
* Tue May 11 2004 clahey@suse.de
- Added gnome-panel-corners.patch.
- Added gnome-panel-logout-strings.patch.
* Tue May 11 2004 clahey@suse.de
- Removed an incorrect portion of new layout patch.
* Thu May  6 2004 sbrabec@suse.cz
- Updated to version 2.6.1.
* Tue May  4 2004 clahey@suse.de
- Updated to 2.6.0.
- Added patch for new layout of System and Help menus.
- Added patch to turn on big icons.
- Removed clock patch until bounty comes in.
* Mon Apr  5 2004 hhetter@suse.de
- place Epiphany and Evolution as try-exec  in upper panel
* Mon Mar 22 2004 hhetter@suse.de
- gnome-panel-clock-format-de.diff: show the clock correctly
  in german locale (#36179)
* Wed Mar 17 2004 sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Mon Mar 15 2004 hhetter@suse.de
- fix yast timezone call in panel-clock.patch
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed scrollkeeper installation.
* Wed Feb 25 2004 hhetter@suse.de
- apply gnome-panel-clock.patch: adding quickalarm feature,
  call yast2 timezone for time setting, show weekday feature
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Mon Feb 16 2004 ro@suse.de
- fixed postinstall: panel-default.entries is not a schema
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Oct 30 2003 sbrabec@suse.cz
- Fixed -devel splitting (shared clock applet library).
* Mon Oct 27 2003 sbrabec@suse.cz
- Use suse-menu:// for SuSE Menu.
* Wed Oct 22 2003 sbrabec@suse.cz
- Updated to version 2.4.1.
* Tue Oct 21 2003 sbrabec@suse.cz
- Added icon path fix (GNOME bug #121360).
* Mon Oct 20 2003 sbrabec@suse.cz
- Fixed schemas installation.
* Wed Oct 15 2003 ro@suse.de
- fix "file listed twice"
* Thu Oct  9 2003 sbrabec@suse.cz
- Fixed Czech panel size names.
* Tue Oct  7 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep  5 2003 hhetter@suse.de
- add Obsoletes: gnome-core
* Thu Sep  4 2003 hhetter@suse.de
- disable SuSE menu detection in favour of the new
  global vfolder definition
* Mon Aug 18 2003 sbrabec@suse.cz
- Updated to version 2.2.2.2.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.2.2.1.
- Prefix clash fix (gtk-doc).
- Compress man pages.
- Use %%find_lang.
- Require control-center2.
* Wed May 28 2003 ro@suse.de
- remove unpackaged files from buildroot
* Thu May 15 2003 sbrabec@suse.cz
- Updated to version 2.2.1.
* Fri Feb 21 2003 sbrabec@suse.cz
- Fixed %%files (fixes notification area applet).
- FHS fix.
* Mon Feb 10 2003 hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Fri Jan 31 2003 sf@suse.de
- added startup-notification* to neededforbuild to make it build
* Tue Jan 28 2003 hhetter@suse.de
- updated to version 2.2.0
* Mon Jan 20 2003 ro@suse.de
- update to 2.1.90
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.0.11 [GNOME 2.0.3]
* Tue Oct 22 2002 hhetter@suse.de
- updated to stable release 2.0.10
- removed hu po-patch as it has been commited to CVS
- adapted SuSE-Menu patch
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 hhetter@suse.de
- added corrected hu po-file
* Thu Aug 22 2002 hhetter@suse.de
- bring back SuSEmenu (Bug Id#18167)
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 20 2002 kukuk@suse.de
- Fix Requires of devel package
* Thu Aug 15 2002 hhetter@suse.de
- branch doc package
* Tue Aug 13 2002 hhetter@suse.de
- remove control-center* from neededforbuild
* Mon Aug 12 2002 hhetter@suse.de
- devel package requires main package
* Mon Aug 12 2002 hhetter@suse.de
- updated to version 2.0.6
* Thu Aug  8 2002 hhetter@suse.de
- updated to version 2.0.5, bug Id's reflect bugzilla.gnome.org
  * Fix #84744, applets not loading in the correct order
  * Fix problem with more than one applet showing focus
* Tue Aug  6 2002 hhetter@suse.de
- updated to version 2.0.4
  * Only request a Global style session save
  * Properly figure out opitimum place to put new sliding
  panels
  * Don't change cursor with menu popup menu
  * Fix panel overlap avoidance
  * Focus applets and launchers as they are added to panel
* Wed Jul 31 2002 hhetter@suse.de
- updated to version 2.0.3
- initiate scrollkeeper update
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Tue Jul 23 2002 hhetter@suse.de
- updated to version 2.0.2
* Tue Jul  9 2002 hhetter@suse.de
- scrollkeeper registration
- re-introduce Global SuSE Menu
* Wed Jun 26 2002 hhetter@suse.de
- fix filelist
* Thu Jun 20 2002 hhetter@suse.de
- don't install schemas while make install
- updated to version 2.0.1
* Sun Jun 16 2002 ro@suse.de
- fixed filelist
* Fri Jun 14 2002 hhetter@suse.de
- provide schemas
- removed SuSEconfig.gnome-panel as SuSEconfig.gconf2 does
  this job now
* Fri Jun 14 2002 ro@suse.de
- use libpng-devel-packages
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 2.0.0
* Fri Jun  7 2002 hhetter@suse.de
- fix filelist
* Fri Jun  7 2002 hhetter@suse.de
- gnome-common in #neededforbuild
* Fri Jun  7 2002 hhetter@suse.de
- really build gen_panel_util library
- %%_lib fixes
- CFLAGS correction
- intltool in #neededforbuild
* Tue Jun  4 2002 hhetter@suse.de
- updated to version 1.5.24
* Wed May 15 2002 ro@suse.de
- use libdir
* Fri Apr 12 2002 hhetter@suse.de
- initial Release for GNOME 2 Desktop
- added SuSEconfig script to register basic panel applets
